Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78329 - 8.0 hangs on boot after loading aic7xxx module; install worked
Summary: 8.0 hangs on boot after loading aic7xxx module; install worked
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-21 15:09 UTC by Ralf Kleineisel
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:13 UTC


Attachments (Terms of Use)

Description Ralf Kleineisel 2002-11-21 15:09:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [de] (Windows NT 5.0; U)

Description of problem:
Installed 8.0 from CD.
When booting the new kernel it loads the aic7xxx module.
After recognizing the scsi devices it shows several pages of errors. See below for details.
Booting a 2.4.17-0.16custom kernel with aic7xxx works fine.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot
2.
3.
	

Actual Results:  Boot hangs.

Expected Results:  Booting the OS.

Additional info:

Mainboard: Asus A7V133
CPU: Athlon 1400 MHz
SCSI: Adaptec 29160N with devices 0:0:0, 0:1:0 and 0:5:0

Errors:
(scsi0:-1:-1:-1) Referenced SCB 39 not valid during SELTO.
        SCSISEQ = 0x5a SEQADDR = 0x18 SSTAT0 = 0x10 SSTAT1 = 0x88
(scsi0:-1:-1:-1) Referenced SCB 39 not valid during SELTO.
        SCSISEQ = 0x5a SEQADDR = 0x18 SSTAT0 = 0x10 SSTAT1 = 0x88
[...]
scsi1:0:2:0: Attempting to queue an ABORT message

Comment 1 Justin T. Gibbs 2003-01-11 00:04:19 UTC
This is caused by memory mapped I/O not working on this VIA motherboard
*unless* you disable PCI byte merging in the BIOS.  The memory mapped I/O
test in aic7xxx version 6.2.26 detects the bogus BIOS settings and falls
back to PIO.

Comment 2 Justin T. Gibbs 2003-01-22 00:34:36 UTC
Version 6.2.28 of the aic7xxx driver is now available in both driver update
diskette and RPM format for RH8.0.  You will need the DUD version to successfully
install.  You can fetch it from:

http://people.FreeBSD.org/~gibbs/linux/DUD/aic7xxx

the RPM version is here:

http://people.FreeBSD.org/~gibbs/linux/RPM/aic7xxx

With 6.2.28, you sould be able to install regardless of your BIOS setting
for PCI byte merging.

Comment 3 Bugzilla owner 2004-09-30 15:40:13 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.